import direct.directbase.DirectStart
from direct.showbase.DirectObject import DirectObject
from pandac.PandaModules import *

class main(DirectObject):
    def __init__(self):
        track = loader.loadModel("TrackEggs/spiral.egg")
        track.reparentTo(render)
        track.setPos(0,50,0)
        track.setScale(.01)
        print track.getChildren()[0].getChildren()
        loc = track.getChildren()[0].find("locator")
        print loc.getPos(render)
        print loc.getHpr(render)
        
m = main()
run()